
module.exports = new Class
({
	Extends: Htk.Field
	,Tag: 'htk-textarea'
	
	,render: function ()
	{
		var node = this.createRoot ('textarea');
		node.addEventListener ('change', this.changed.bind (this));
	}

	,changed: function (event)
	{
		var value;
	
		if (this.node.value == '')
			value = null;
		else
			value = this.node.value;

		this.valueChanged (value);
	}

	,setEditable: function (editable)
	{
		this.node.readOnly = !editable;
	}

	,putValue: function (value)
	{
		if (!value)
			this.node.value = '';
		else
			this.node.value = value;
	}
});
